JVM (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.JVM interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app
Interface JVM

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, Provider, java.io.Serializable, SoftwareComponent

    public interface JVM

extends SoftwareComponent

Represents a Java Virtual Machine

Naming Rules:
  0="container,publisher,JVMVersion"
Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.Provider
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getClassPath()`
`AppServer` | `getContainer()` The entity (other than an operating system ..
`boolean` | `getHotSpotEnabled()`
`boolean` | `getIncrementalGCEnabled()`
`int` | `getInitialHeapSize()`
`java.lang.String` | `getJavaClassName()`
`int` | `getJVMVersion()`
`int` | `getMaxHeapSize()`
`int` | `getStackSize()`
`boolean` | `hasClassPath()`
`boolean` | `hasContainer()`
`boolean` | `hasHotSpotEnabled()`
`boolean` | `hasIncrementalGCEnabled()`
`boolean` | `hasInitialHeapSize()`
`boolean` | `hasJavaClassName()`
`boolean` | `hasJVMVersion()`
`boolean` | `hasMaxHeapSize()`
`boolean` | `hasStackSize()`
`void` | `setClassPath(java.lang.String s)`
`void` | `setContainer(AppServer container)`
`void` | `setHotSpotEnabled(boolean b)`
`void` | `setIncrementalGCEnabled(boolean b)`
`void` | `setInitialHeapSize(int i)`
`void` | `setJavaClassName(java.lang.String s)`
`void` | `setJVMVersion(int i)`
`void` | `setMaxHeapSize(int i)`
`void` | `setStackSize(int i)`

Methods inherited from interface com.collation.platform.model.topology.sys.SoftwareComponent
`getExecutableName, getExit, getExitLocal, getGroup, getInstalledDate, getName, getParent, getPublisher, getSoftwareVersion, getType, hasExecutableName, hasExit, hasExitLocal, hasGroup, hasInstalledDate, hasName, hasParent, hasPublisher, hasSoftwareVersion, hasType, setExecutableName, setExit, setExitLocal, setGroup, setInstalledDate, setName, setParent, setPublisher, setSoftwareVersion, setType`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.Provider
`getActivities, getAdvertisedInterfaces, getSAPs, hasActivities, hasAdvertisedInterfaces, hasSAPs, setActivities, setAdvertisedInterfaces, setSAPs`

Method Detail

### getJavaClassName

    java.lang.String getJavaClassName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaClassName

    void setJavaClassName(java.lang.String s)

### hasJavaClassName

    boolean hasJavaClassName()

### getHotSpotEnabled

    boolean getHotSpotEnabled()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHotSpotEnabled

    void setHotSpotEnabled(boolean b)

### hasHotSpotEnabled

    boolean hasHotSpotEnabled()

### getClassPath

    java.lang.String getClassPath()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClassPath

    void setClassPath(java.lang.String s)

### hasClassPath

    boolean hasClassPath()

### getJVMVersion

    int getJVMVersion()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJVMVersion

    void setJVMVersion(int i)

### hasJVMVersion

    boolean hasJVMVersion()

### getIncrementalGCEnabled

    boolean getIncrementalGCEnabled()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIncrementalGCEnabled

    void setIncrementalGCEnabled(boolean b)

### hasIncrementalGCEnabled

    boolean hasIncrementalGCEnabled()

### getInitialHeapSize

    int getInitialHeapSize()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInitialHeapSize

    void setInitialHeapSize(int i)

### hasInitialHeapSize

    boolean hasInitialHeapSize()

### getMaxHeapSize

    int getMaxHeapSize()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxHeapSize

    void setMaxHeapSize(int i)

### hasMaxHeapSize

    boolean hasMaxHeapSize()

### getStackSize

    int getStackSize()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStackSize

    void setStackSize(int i)

### hasStackSize

    boolean hasStackSize()

### getContainer

    AppServer getContainer()
                           throws AttributeNotSetException

  The entity (other than an operating system .. which is represented in the "parent" attribute) that contains and manages the lifecycle of this Java virtual machine. Used primarily in J2EEServers.

  Throws:
    `AttributeNotSetException`

### setContainer

    void setContainer(AppServer container)

### hasContainer

    boolean hasContainer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD